CREATE TABLE cn_rs_attr_usages_all (
    ATTR_USAGE_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    ORG_ID                       NUMBER(18, 0) ,
    USAGE_ID                     NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_ID                 NUMBER(18, 0)     NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)       NOT NULL,
    INDEXED_COL_NAME             VARCHAR2(120) ,
    SEEDED_FLAG                  VARCHAR2(4)   ,
    DISPLAY_TYPE                 VARCHAR2(120) ,
    CONVERT_TO_ID_FLAG           VARCHAR2(4)   ,
    SOURCE_COLUMN_NAME           VARCHAR2(120) ,
    REAL_TIME_SELECT             CLOB          ,
    REAL_TIME_WHERE              CLOB          ,
    REAL_TIME_WHERE_NOT_EQLTO    CLOB          ,
    REAL_TIME_WHERE_NOTLIKE      CLOB          ,
    REAL_TIME_FROM               CLOB          ,
    BATCH_OP_EQL                 CLOB          ,
    BATCH_OP_LIKE                CLOB          ,
    BATCH_OP_BETWEEN             CLOB          ,
    BATCH_OP_NOT_EQLTO           CLOB          ,
    BATCH_OP_NOTLIKE             CLOB          ,
    BATCH_OP_COMMON_WHERE        CLOB          ,
    ATTR_RELATION_FACTOR         NUMBER(18, 0) ,
    COMPARISON_OPERATOR_CN       VARCHAR2(120) ,
    LOW_VALUE_CHAR_CN            VARCHAR2(120) ,
    HIGH_VALUE_CHAR_CN           VARCHAR2(120) ,
    LOW_VALUE_CHAR_ID_CN         VARCHAR2(120) ,
    LOW_VALUE_NUMBER_CN          VARCHAR2(120) ,
    HIGH_VALUE_NUMBER_CN         VARCHAR2(120) ,
    VALUE1_ID_CN                 VARCHAR2(120) ,
    VALUE2_ID_CN                 VARCHAR2(120) ,
    VALUE3_ID_CN                 VARCHAR2(120) ,
    VALUE4_ID_CN                 VARCHAR2(120) ,
    FIRST_CHAR_CN                VARCHAR2(120) ,
    CURRENCY_CODE_CN             VARCHAR2(120) ,
    UPDATE_ATTR_VAL_STMT         CLOB          ,
    INSERT_ATTR_VAL_STMT         CLOB          ,
    HTML_LOV_SQL1                VARCHAR2(4000),
    HTML_LOV_SQL2                VARCHAR2(4000),
    HTML_LOV_SQL3                VARCHAR2(4000),
    HIERARCHY_TYPE               VARCHAR2(120) ,
    EQUAL_FLAG                   VARCHAR2(4)   ,
    LIKE_FLAG                    VARCHAR2(4)   ,
    BETWEEN_FLAG                 VARCHAR2(4)   ,
    NOT_EQLTO_FLAG               VARCHAR2(4)   ,
    NOTLIKE_FLAG                 VARCHAR2(4)   ,
    ALIAS_RULE1                  VARCHAR2(800) ,
    MODULE_ID                    VARCHAR2(128) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(960) ,
    ATTRIBUTE2                   VARCHAR2(960) ,
    ATTRIBUTE3                   VARCHAR2(960) ,
    ATTRIBUTE4                   VARCHAR2(960) ,
    ATTRIBUTE5                   VARCHAR2(960) ,
    ATTRIBUTE6                   VARCHAR2(960) ,
    ATTRIBUTE7                   VARCHAR2(960) ,
    ATTRIBUTE8                   VARCHAR2(960) ,
    ATTRIBUTE9                   VARCHAR2(960) ,
    ATTRIBUTE10                  VARCHAR2(960) ,
    ATTRIBUTE11                  VARCHAR2(960) ,
    ATTRIBUTE12                  VARCHAR2(960) ,
    ATTRIBUTE13                  VARCHAR2(960) ,
    ATTRIBUTE14                  VARCHAR2(960) ,
    ATTRIBUTE15                  VARCHAR2(960) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    ATTR_USAGE_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    ORG_ID                       NUMBER(18, 0) ,
    USAGE_ID                     NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_ID                 NUMBER(18, 0)     NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)       NOT NULL,
    INDEXED_COL_NAME             VARCHAR2(120) ,
    SEEDED_FLAG                  VARCHAR2(4)   ,
    DISPLAY_TYPE                 VARCHAR2(120) ,
    CONVERT_TO_ID_FLAG           VARCHAR2(4)   ,
    SOURCE_COLUMN_NAME           VARCHAR2(120) ,
    REAL_TIME_SELECT             CLOB          ,
    REAL_TIME_WHERE              CLOB          ,
    REAL_TIME_FROM               CLOB          ,
    BATCH_OP_EQL                 CLOB          ,
    BATCH_OP_LIKE                CLOB          ,
    BATCH_OP_BETWEEN             CLOB          ,
    BATCH_OP_COMMON_WHERE        CLOB          ,
    ATTR_RELATION_FACTOR         NUMBER(18, 0) ,
    COMPARISON_OPERATOR_CN       VARCHAR2(120) ,
    LOW_VALUE_CHAR_CN            VARCHAR2(120) ,
    HIGH_VALUE_CHAR_CN           VARCHAR2(120) ,
    LOW_VALUE_CHAR_ID_CN         VARCHAR2(120) ,
    LOW_VALUE_NUMBER_CN          VARCHAR2(120) ,
    HIGH_VALUE_NUMBER_CN         VARCHAR2(120) ,
    VALUE1_ID_CN                 VARCHAR2(120) ,
    VALUE2_ID_CN                 VARCHAR2(120) ,
    VALUE3_ID_CN                 VARCHAR2(120) ,
    VALUE4_ID_CN                 VARCHAR2(120) ,
    FIRST_CHAR_CN                VARCHAR2(120) ,
    CURRENCY_CODE_CN             VARCHAR2(120) ,
    UPDATE_ATTR_VAL_STMT         CLOB          ,
    INSERT_ATTR_VAL_STMT         CLOB          ,
    HTML_LOV_SQL1                VARCHAR2(4000),
    HTML_LOV_SQL2                VARCHAR2(4000),
    HTML_LOV_SQL3                VARCHAR2(4000),
    HIERARCHY_TYPE               VARCHAR2(120) ,
    EQUAL_FLAG                   VARCHAR2(4)   ,
    LIKE_FLAG                    VARCHAR2(4)   ,
    BETWEEN_FLAG                 VARCHAR2(4)   ,
    ALIAS_RULE1                  VARCHAR2(800) ,
    MODULE_ID                    VARCHAR2(128) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(960) ,
    ATTRIBUTE2                   VARCHAR2(960) ,
    ATTRIBUTE3                   VARCHAR2(960) ,
    ATTRIBUTE4                   VARCHAR2(960) ,
    ATTRIBUTE5                   VARCHAR2(960) ,
    ATTRIBUTE6                   VARCHAR2(960) ,
    ATTRIBUTE7                   VARCHAR2(960) ,
    ATTRIBUTE8                   VARCHAR2(960) ,
    ATTRIBUTE9                   VARCHAR2(960) ,
    ATTRIBUTE10                  VARCHAR2(960) ,
    ATTRIBUTE11                  VARCHAR2(960) ,
    ATTRIBUTE12                  VARCHAR2(960) ,
    ATTRIBUTE13                  VARCHAR2(960) ,
    ATTRIBUTE14                  VARCHAR2(960) ,
    ATTRIBUTE15                  VARCHAR2(960) ,
    REAL_TIME_WHERE_NOT_EQLTO    CLOB          ,
    REAL_TIME_WHERE_NOTLIKE      CLOB          ,
    BATCH_OP_NOT_EQLTO           CLOB          ,
    BATCH_OP_NOTLIKE             CLOB          ,
    NOT_EQLTO_FLAG               VARCHAR2(4)   ,
    NOTLIKE_FLAG                 VARCHAR2(4)   ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cn_rs_attr_usages_all PRIMARY KEY (ATTR_USAGE_ID, ORG_ID, ATTR_USAGE_ID, ORG_ID)
);
